activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kathiravan <gkathira...@gmail.com>
Subject Re: [jira] Created: (AMQ-1492) SET AUTOCOMMIT TO OFF is no longer supported Postgre8.1 Error
Date Tue, 20 Nov 2007 04:18:16 GMT



JIRA jira@apache.org wrote:
> 
>  SET AUTOCOMMIT TO OFF is no longer supported Postgre8.1 Error
> --------------------------------------------------------------
> 
>                  Key: AMQ-1492
>                  URL: https://issues.apache.org/activemq/browse/AMQ-1492
>              Project: ActiveMQ
>           Issue Type: Bug
>           Components: Broker
>     Affects Versions: 4.1.1
>          Environment: Windows
>             Reporter: gkathiravan
> 
> 
> I am using Postgresql 8.1 with postgresql-8.1-409.jdbc3.jar driver for
> starting the broker.
> 
> <persistenceAdapter>
>        
>       <journaledJDBC journalLogFiles="5"
> dataDirectory="../persistencedata" dataSource="#postgres-ds"/>
>       
>     </persistenceAdapter>
>    
>   <bean id="postgres-ds" class="org.postgresql.ds.PGPoolingDataSource">
>     <property name="serverName" value="1.1.1.180"/>
>     <property name="databaseName" value="merge_emr_billing"/>
>     <property name="portNumber" value="5432"/>
>     <property name="user" value="pcare"/>
>     <property name="password" value="pcare007"/>
>     <property name="dataSourceName" value="postgres"/>
>     <property name="initialConnections" value="1"/>
>     <property name="maxConnections" value="10"/>
>   </bean>
>   
> 
> When i start the broker using the above configuration the following error
> is occured.
> 
> Nov 17, 2007 2:21:27 PM
> org.apache.activemq.store.jdbc.JDBCPersistenceAdapter createAdapter
> INFO: Database driver recognized: [postgresql_native_driver]
> Exception in thread "main" java.io.IOException: ERROR:  SET AUTOCOMMIT TO
> OFF is no longer supported
> 
> 	at
> org.apache.activemq.util.IOExceptionSupport.create(IOExceptionSupport.java:43)
> 	at
> org.apache.activemq.store.jdbc.TransactionContext.getConnection(TransactionContext.java:62)
> 	at
> org.apache.activemq.store.jdbc.TransactionContext.begin(TransactionContext.java:147)
> 	at
> org.apache.activemq.store.jdbc.JDBCPersistenceAdapter.start(JDBCPersistenceAdapter.java:156)
> 	at
> com.glenwood.Queue.StartBroker.createPersistenceAdapter(StartBroker.java:49)
> 	at com.glenwood.Queue.StartBroker.main(StartBroker.java:28)
> Caused by: java.sql.SQLException: ERROR:  SET AUTOCOMMIT TO OFF is no
> longer supported
> 
> 	at org.postgresql.core.QueryExecutor.execute(QueryExecutor.java:131)
> 	at
> org.postgresql.jdbc1.AbstractJdbc1Connection.ExecSQL(AbstractJdbc1Connection.java:482)
> 	at
> org.postgresql.jdbc1.AbstractJdbc1Connection.ExecSQL(AbstractJdbc1Connection.java:461)
> 	at
> org.postgresql.jdbc1.AbstractJdbc1Connection.setAutoCommit(AbstractJdbc1Connection.java:953)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
> 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
> 	at java.lang.reflect.Method.invoke(Unknown Source)
> 	at
> org.postgresql.ds.common.PooledConnectionImpl$ConnectionHandler.invoke(PooledConnectionImpl.java:360)
> 	at $Proxy0.setAutoCommit(Unknown Source)
> 	at
> org.apache.activemq.store.jdbc.TransactionContext.getConnection(TransactionContext.java:58)
> 	... 4 more
> 
> How to setAutocommit to off?.. Postgre sql doesnot supporting it.
> 
> 
> -- 
> This message is automatically generated by JIRA.
> -
> You can reply to this email to add a comment to the issue online.
> 
> 
> 

sorry guys the pg7.3 jdbc driver is found in java ext path . this error is
fixed by putting postgresql-8 jdbc driver and above
-- 
View this message in context: http://www.nabble.com/-jira--Created%3A-%28AMQ-1492%29--SET-AUTOCOMMIT-TO-OFF-is-no-longer-supported-Postgre8.1-Error-tf4825905s2354.html#a13850661
Sent from the ActiveMQ - Dev mailing list archive at Nabble.com.


Mime
View raw message